Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class SeqEntryFactory

    java.lang.Object
      |
      +--spki.SeqEntryFactory

public final class SeqEntryFactory
extends Object

SPKI SeqEntryFactory utility class.

Version:
  $Id: SeqEntryFactory.java,v 1.2 2002/07/12 18:56:21 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>
See Also:
  `SeqEntry`

Field Summary
`private static String` | `__ME` This class's full name.

Constructor Summary
`private` | `SeqEntryFactory()` Can't instantiate me.

Method Summary
`static SeqEntry` | `getInstance(SExpression sexp)` Get an instance of seq-entry from given S-Expression.
`static boolean` | `isSeqEntry(SExpression sexp)` Check an SExpression to see if it could contain a seq-entry.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

Constructor Detail

### SeqEntryFactory

    private SeqEntryFactory()

  Can't instantiate me. This is a tool class, we don't want a constructor!

Method Detail

### isSeqEntry

    public static final boolean isSeqEntry(SExpression sexp)

  Check an SExpression to see if it could contain a seq-entry. It's a convenient utility function that checks whether the given SExpressions is an SList that has a matching type-name as one of those classes that are considered seq-entry.
  Parameters:
    `sexp` - the SExpression to check.
  Returns:
    `true` if given SExpression could contain be a seq-entry, `false` otherwise.

### getInstance

    public static final SeqEntry getInstance(SExpression sexp)
                                      throws SPKIException,
                                             ParseException

  Get an instance of seq-entry from given S-Expression.
  Parameters:
    `sexp` - the SExpression to check.
  Returns:
    an instance of spki.interfaces.SeqEntry.
  Throws:
    ParseException - if the argument doesn't contain a seq-entry.
    SPKIException - if something went wrong.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD